Availability
CHEVROLET 5.3L/327 Brake Systems
63-66 C10/C15 Truck/Suburban, Hydraulic Brake Assist 4-Wheel Disc Conv Kit Blk Calipers
Part Number: RSD-THB6356B
Not Yet Reviewed
Estimated Ship Date: Nov 16, 2026 if ordered today
Estimated Ship Date: Nov 16, 2026 if ordered today
FOUR WHEEL DISC CONVERSION
Part Number: RSD-TDC6356DX
Not Yet Reviewed
Estimated Ship Date: Nov 16, 2026 if ordered today
Estimated Ship Date: Nov 16, 2026 if ordered today
63-66 C10-15 Truck/Sub 2" Drop Hydraulic Brake Assist 4-Wheel Disc Conv Blk Calipers
Part Number: RSD-THB6356DB
Not Yet Reviewed
Estimated Ship Date: Nov 16, 2026 if ordered today
Estimated Ship Date: Nov 16, 2026 if ordered today
63-70 GM Truck & Suburban, 2" Drop, Std Front Disc Kit Blk Calipers
Part Number: RSD-TSD6316DB
Not Yet Reviewed
Estimated Ship Date: Nov 16, 2026 if ordered today
Estimated Ship Date: Nov 16, 2026 if ordered today
67-70 GM C10-15 Truck/Sub W/2WD Hydraulic Brake Assist 4-Wheel Disc Brake Conv Red Calipers
Part Number: RSD-THB6756Z
Not Yet Reviewed
Estimated Ship Date: Nov 16, 2026 if ordered today
Estimated Ship Date: Nov 16, 2026 if ordered today
1963-70 Chevy/GMC Truck & Suburban, Manual Front Disc Brake Kit Chrome Upper
Part Number: RSD-TSD6316X
Not Yet Reviewed
Estimated Ship Date: Nov 16, 2026 if ordered today
Estimated Ship Date: Nov 16, 2026 if ordered today
Brake Conversion Ford 8.8" Rear End, Rear Disc Kit
Part Number: RSD-ZDCRDM4S
Not Yet Reviewed
Estimated Ship Date: Nov 16, 2026 if ordered today
Estimated Ship Date: Nov 16, 2026 if ordered today
63-66 GM C10-15 Truck/Sub 2WD, Chrome Hydraulic Brake Assist 4-Wheel Disc Conv Red Calipers
Part Number: RSD-THB6356ZX
Not Yet Reviewed
Estimated Ship Date: Nov 16, 2026 if ordered today
Estimated Ship Date: Nov 16, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,244.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Manual, Vented Rotors, Cast Iron Calipers, Red Powdercoated, 2 in. Drop Spindles, 5 x 4.75 in. Bolt Pattern, Kit
Part Number: LEB-RFC1003-FA3X
Not Yet Reviewed
Estimated Ship Date: Dec 3, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,244.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 3, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,114.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Manual, Vented Rotors, Cast Iron Calipers, Red Powdercoated, Stock Ride Height, 5 x 4.75 in. Bolt Pattern, Kit
Part Number: LEB-RFC1002-FA1X
Not Yet Reviewed
Estimated Ship Date: Dec 3, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,114.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 3, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,074.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Cross-Drilled/Slotted Rotors, Cast Iron Calipers, Zinc Plated, 5 x 4.75 in. Bolt Pattern, Kit
Part Number: LEB-FC1011-K105X
Not Yet Reviewed
Estimated Ship Date: Dec 3, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,074.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 3, 2026 if ordered today
$75.00 Mail-In Rebate
Price after Manufacturer Rebate: $824.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Manual, Solid Surface Rotors, Cast Iron Calipers, Zinc Plated, Stock Ride Height, 5 x 4.75 in. Bolt Pattern, Kit
Part Number: LEB-FC1002-305
Estimated Ship Date: Dec 3, 2026 if ordered today
$75.00 Mail-In Rebate
Price after Manufacturer Rebate: $824.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 3, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $983.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Rear Conversion, Rotors, Black Powdercoated Calipers, Buick, Chevy, GMC, Oldsmobile, Pontiac, Kit
Part Number: LEB-BRC1001X
Not Yet Reviewed
Estimated Ship Date: Dec 3, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $983.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 3, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,299.95
Rebate Expires: 10/31/2026
Caliper Upgrade Kit, MaxGrip Lite Caliper, Aluminum, Red Anodized, Semi-Metallic Pads. Braided Hose, Chevy, GMC, Buick, Oldsmobile, Pontiac, Kit
Part Number: LEB-RCC1008
Not Yet Reviewed
Estimated Ship Date: Dec 3, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,299.95
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 3, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,624.95
Rebate Expires: 10/31/2026
Disc Brake Kit, MaxGrip Lite Disc Brake Conversion, Front, Cross-Drilled/Slotted Rotors, Gray Calipers, 2 in. Drop Spindles, GM, Kit
Part Number: LEB-FC1009SMX
Not Yet Reviewed
Estimated Ship Date: Dec 3, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,624.95
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 3, 2026 if ordered today
$75.00 Mail-In Rebate
Price after Manufacturer Rebate: $854.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Manual, Solid Surface Rotors, Cast Iron Calipers, Zinc Plated, Stock Ride Height, 5 x 4.75 in. Bolt Pattern, Kit
Part Number: LEB-FC1006-E05
Not Yet Reviewed
Estimated Ship Date: Dec 3, 2026 if ordered today
$75.00 Mail-In Rebate
Price after Manufacturer Rebate: $854.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 3, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,139.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Cross-Drilled/Slotted Rotors, Cast Iron Calipers, Zinc Plated, Stock Ride Height, 5 x 4.75 in., Kit
Part Number: LEB-FC1002-K105X
Not Yet Reviewed
Estimated Ship Date: Dec 3, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,139.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 3, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,309.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Cross-Drilled/Slotted Rotors, Cast Iron Calipers, Zinc Plated, 2 in. Drop Spindle, 5 x 4.75 in., Kit
Part Number: LEB-FC1003-L6B2X
Not Yet Reviewed
Estimated Ship Date: Dec 3, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,309.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 3, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,199.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Solid Surface Rotors, Cast Iron Calipers, Zinc Plated, 2 in. Drop Spindle, 5 x 4.75 in., Kit
Part Number: LEB-FC1003-F6B2
Not Yet Reviewed
Estimated Ship Date: Dec 3, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,199.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 3, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,169.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Cross-Drilled/Slotted Rotors, Cast Iron Calipers, Zinc Plated, 2 in. Drop Spindle, 5 x 4.75 in., Kit
Part Number: LEB-FC1003-FB05X
Not Yet Reviewed
Estimated Ship Date: Dec 3, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,169.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 3, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,129.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Manual, Cross-Drilled/Slotted Rotors, Vented, Cast Iron Calipers, Zinc Plated, 2 in. Drop Spindle, 5 x 4.75 in., Kit
Part Number: LEB-FC1003-F05X
Not Yet Reviewed
Estimated Ship Date: Dec 3, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,129.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 3, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,094.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Manual, Vented Rotors, Cast Iron Calipers, Red Powdercoated, Stock Ride Height, 5 x 4.75 in. Bolt Pattern, Kit
Part Number: LEB-RFC1006-3A1X
Not Yet Reviewed
Estimated Ship Date: Dec 3, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,094.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 3, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,094.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Manual, Vented Rotors, Cast Iron Calipers, Red Powdercoated, Stock Ride Height, 5 x 4.75 in. Bolt Pattern, Kit
Part Number: LEB-RFC1006-3A3X
Not Yet Reviewed
Estimated Ship Date: Dec 3, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,094.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 3, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,169.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Solid Surface Rotors, Cast Iron Calipers, Zinc Plated, 2 in. Drop Spindle, 5 x 4.75 in., Kit
Part Number: LEB-FC1003-L6B2
Not Yet Reviewed
Estimated Ship Date: Dec 3, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,169.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 3, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,029.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Manual, Vented Rotors, Cast Iron Calipers, Red Powdercoated, 5 x 4.75 in. Bolt Pattern, Kit
Part Number: LEB-RFC1011-3A3X
Not Yet Reviewed
Estimated Ship Date: Dec 3, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,029.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Dec 3, 2026 if ordered today
Truck / SUV
Jeep®
Restoration
Stock Replacement
Late Model Muscle
Tools
Gifts, Clothing, & More
Circle Track
Street Rod
Powersports
Paint & Body
Marine
Jr Dragster